"""Systems biology ontology (SBO) terms and information."""

SBO_EXCHANGE_REACTION = "SBO:0000627"
SBO_DEMAND_REACTION = "SBO:0000628"
SBO_SINK_REACTION = "SBO:0000632"

SBO_BIOCHEMICAL_REACTION = "SBO:0000176"
SBO_TRANSPORT_REACTION = "SBO:0000655"

SBO_SIMPLE_CHEMICAL = "SBO:0000247"
SBO_MACROMOLECULE = "SBO:0000245"

SBO_FLUX_BOUND = "SBO:0000612"

SBO_MAXIMAL_VELOCITY = "SBO:0000186"
SBO_MICHAELIS_CONSTANT = "SBO:0000371"
SBO_KINETIC_CONSTANT = "SBO:0000009"

SBO_PHYSICAL_COMPARTMENT = "SBO:0000290"

SBO_CONTINOUS_FRAMEWORK = "SBO:0000293"
SBO_FLUX_BALANCE_FRAMEWORK = "SBO:0000624"


__all__ = [
    "SBO_EXCHANGE_REACTION",
    "SBO_DEMAND_REACTION",
    "SBO_SINK_REACTION",
    "SBO_BIOCHEMICAL_REACTION",
    "SBO_TRANSPORT_REACTION",
    "SBO_SIMPLE_CHEMICAL",
    "SBO_MACROMOLECULE",
    "SBO_FLUX_BOUND",
    "SBO_MAXIMAL_VELOCITY",
    "SBO_MICHAELIS_CONSTANT",
    "SBO_KINETIC_CONSTANT",
    "SBO_PHYSICAL_COMPARTMENT",
    "SBO_CONTINOUS_FRAMEWORK",
    "SBO_FLUX_BALANCE_FRAMEWORK",
]
